Toggle capabilities for the marketplace app tied to the OAuth client

http
PUT https://services.leadconnectorhq.com/payments/custom-provider/capabilities

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
supportsSubscriptionSchedulesbooleanYesTrueWhether the marketplace app supports subscription schedules or not
companyIdstringNoYjnwuduw83e8x30sm0Company id. Mandatory if locationId is not provided
locationIdstringNoYjnwuduw83e8x30sm0Account / Account id. Mandatory if companyId is not provided

Responses

200 - Successful response
  • success (boolean, required): Whether the custom provider capabilities are updated or not. true represents capabilities are updated Example: true

json
{
  "success": "true"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/payments/custom-provider/capabilities' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "supportsSubscriptionSchedules": true,
  "companyId": "Yjnwuduw83e8x30sm0",
  "locationId": "Yjnwuduw83e8x30sm0"
}'

Last updated October 26, 2026

Was this page helpful?